# $Revision: 1.17 $, $Date: 2008/07/27 22:26:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	ConfigFile
Summary:	Apache::ConfigFile - parse an Apache style httpd.conf config file
Summary(pl.UTF-8):	Apache::ConfigFile - analiza pliku konfiguracyjnego httpd.conf w stylu Apache
Name:		perl-Apache-ConfigFile
Version:	1.18
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-authors/id/N/NW/NWIGER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0a7e1e1aca947f98a9a974150b722bff
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module parses the Apache httpd.conf, or any compatible config
file, and provides methods for you to access the values from the
config file. The basic usage of this module boils down to reading a
given config file and then using the cmd_config() and cmd_context()
functions to access its information.

%description -l pl.UTF-8
Ten moduł analizuje plik Apache'a httpd.conf lub dowolny kompatybilny
plik konfiguracyjny i udostępnia metody pozwalające na dostęp do
wartości z tego pliku. Podstawowe używanie tego modułu sprowadza się
do przeczytania podanego pliku konfiguracyjnego, a następnie używania
funkcji cmd_config() i cmd_context() do odczytywania informacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-ConfigFile.spec,v $
Revision 1.17  2008/07/27 22:26:13  arekm
- release 2

Revision 1.16  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 19:36:55  paladine
- formatting

Revision 1.13  2004/05/06 18:43:01  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.11  2003/12/08 19:38:35  migo
- up to 1.18
- new bcond style
- cosmetics

Revision 1.10  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 17:41:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:25:43  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/27 10:31:31  radek
- new, STBR
